<template>
    <div class="container px-5 py-12 mx-auto md:grid md:grid-cols-2 md:gap-x-8">
        <div class="content-center mt-auto mb-auto" :class="reverse ? 'order-last' : ''">
            <h2 class="text-3xl text-smalt-blue-700 font-bold">
                <slot name="title" />
            </h2>
            <div class="mt-8 prose lg:prose-xl">
                <p>
                    <slot name="description" />
                </p>
            </div>
        </div>
        <div class="hidden md:block" v-if="!video">
            <g-image :src="require(`!!assets-loader!@images/${icon}.png`)"></g-image>
        </div>
        <div class="flex flex-wrap justify-center text-center content-center mt-10 md:mt-0" v-if="video">

            <iframe
                :src="`https://www.youtube-nocookie.com/embed/${video}?autoplay=1`"
                :srcdoc="`<style>*{padding:0;margin:0;overflow:hidden}html,body{height:100%}img,span{position:absolute;width:100%;top:0;bottom:0;margin:auto}span{height:1.5em;text-align:center;font:48px/1.5 sans-serif;color:white;text-shadow:0 0 0.5em black}</style><a href=https://www.youtube-nocookie.com/embed/${video}?autoplay=1><img src=https://img.youtube.com/vi/${video}/hqdefault.jpg ><span>▶</span></a>`"
                frameborder="0"
                allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                allowfullscreen
            ></iframe>


        </div>
    </div>
</template>

<script>
    export default {
        props: {
            icon: {
                type: String,
                default: 'AI',
            },
            reverse: {
                type: Boolean,
                default: false,
            },
            video: {
                type: String,
                default: null,
            },
        },
    };
</script>
<style lang="scss" scoped>
    iframe {
        width: 492px;
        height: 280px;
    }
</style>
